import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class LemmaFinanceContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    lemmaPerp({ address, network }: ContractOpts): import("./ethers").LemmaPerp;
    lemmaSynth({ address, network }: ContractOpts): import("./ethers").LemmaSynth;
    lemmaUsdl({ address, network }: ContractOpts): import("./ethers").LemmaUsdl;
    lemmaXSynth({ address, network }: ContractOpts): import("./ethers").LemmaXSynth;
    lemmaXUsdl({ address, network }: ContractOpts): import("./ethers").LemmaXUsdl;
}
export type { LemmaPerp } from './ethers';
export type { LemmaSynth } from './ethers';
export type { LemmaUsdl } from './ethers';
export type { LemmaXSynth } from './ethers';
export type { LemmaXUsdl } from './ethers';
